DRM_HELPER_PROBE_SIN(9)

NAME
drm_helper_probe_single_connector_modes - get complete set of display modes

SYNOPSIS

int drm_helper_probe_single_connector_modes(struct drm_connector * connector, uint32_t maxX, uint32_t maxY);

ARGUMENTS

connector
    connector to probe

maxX
    max width for modes

maxY
    max height for modes

DESCRIPTION

Based on the helper callbacks implemented by connector try to detect all valid modes. Modes will first be added to the connector's probed_modes list, then culled (based on validity and the maxX, maxY parameters) and put into the normal modes list.

Intended to be use as a generic implementation of the ->fill_modesconnector vfunc for drivers that use the crtc helpers for output mode filtering and detection.

RETURNS

The number of modes found on connector.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT